Subject: Re: [BUG] tg3 cannot do PXE (loses MAC address) after soft reboot

From: "Michael Chan" <[email-masked]>
Date: Fri, 14 Sep 2007 11:52:22 -0700

On Fri, 2007-09-14 at 10:14 +0200, Ingo Oeser wrote:
> Michael Chan schrieb:
> > On Thu, 2007-09-13 at 21:28 +0200, Lucas Nussbaum wrote:
> > > Erm, Wouldn't it be possible to print a warning when the driver loads,
> > > saying that the firmware is outdated ?
> > 
> > It's possible, but would require the driver to parse the version string.
> > The driver currently reports the version string for information and for
> > the human to parse it.
> 
> Yes, but most humans don't know all valid firmware versions of their 
> components.
> 
> Is it enough to parse the first number in the firmware via simple_strtoul()?

No, it's not.  We need to check the number after the '.' and possibly an
alphabet at the end as well.  Worse yet, the version may be different
for different chips.

We'll see if we can come up with a simple way to detect the problem.